Name: gnupg2
Version: 2.2.19
Release: 8
License: GPL-3.0-or-later
Summary: Complete and free implementation of the OpenPGP standard
Url: https://gnupg.org/

Source0: https://gnupg.org/ftp/gcrypt/gnupg/gnupg-%{version}.tar.bz2
Source1: gnupg2-README.IBMi

Patch0: gnupg2-rename-thread_init.patch
Patch1: gnupg2-remove-clock-thread-cputime-id.patch

BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake

BuildRequires: libgpg-error-devel
BuildRequires: libgcrypt-devel
BuildRequires: libassuan-devel
BuildRequires: libksba-devel
BuildRequires: npth-devel
BuildRequires: libiconv-devel
BuildRequires: zlib-devel
BuildRequires: bzip2-devel

Requires: pinentry


%description
GnuPG is GNU's tool for secure communication and data storage.  It can be used
to encrypt data and to create digital signatures.  It includes an advanced key
management facility and is compliant with the proposed OpenPGP Internet
standard as described in RFC2440 and the S/MIME standard as described by
several RFCs.

GnuPG 2.0 is a newer version of GnuPG with additional support for S/MIME.  It
has a different design philosophy that splits functionality up into several
modules. The S/MIME and smartcard functionality is provided by the gnupg2-smime
package.


%package smime
Summary: CMS encryption and signing tool and smart card support for GnuPG

Requires: gnupg2 = %{version}-%{release}


%description smime
GnuPG is GNU's tool for secure communication and data storage. This
package adds support for smart cards and S/MIME encryption and signing
to the base GnuPG package 


%prep
%setup -q -n gnupg-%{version}

%patch0 -p1
%patch1 -p1

cp %{SOURCE1} ./README.IBMi


%build
%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -liconv" \
  CPPFLAGS="$CPPFLAGS -I/QOpenSys/pkgs/include/libiconv" \
  %if "%{_bindir}" != "%{_sbindir}"
  --sbindir=%{_bindir}
  %endif


%install

%make_install

rm -r %{buildroot}/%{_docdir}/gnupg/examples/systemd-user

# create a symlink for previously shipped sbin/ files now in bin/
mkdir -p %{buildroot}%{_prefix}/sbin
ln -s %{_bindir}/addgnupghome %{buildroot}%{_prefix}/sbin/addgnupghome
ln -s %{_bindir}/applygnupgdefaults %{buildroot}%{_prefix}/sbin/applygnupgdefaults


%files
%defattr(-, qsys, *none)

%{_prefix}/sbin/addgnupghome
%{_prefix}/sbin/applygnupgdefaults

%{_bindir}/addgnupghome
%{_bindir}/applygnupgdefaults
%{_bindir}/dirmngr
%{_bindir}/dirmngr-client
%{_bindir}/gpg
%{_bindir}/gpg-agent
%{_bindir}/gpg-connect-agent
%{_bindir}/gpg-wks-server
%{_bindir}/gpgconf
%{_bindir}/gpgparsemail
%{_bindir}/gpgscm
%{_bindir}/gpgtar
%{_bindir}/gpgv
%{_bindir}/watchgnupg

%{_libexecdir}/gpg-check-pattern
%{_libexecdir}/gpg-preset-passphrase
%{_libexecdir}/gpg-protect-tool
%{_libexecdir}/gpg-wks-client
%{_libexecdir}/scdaemon

%dir %{_docdir}/gnupg
%{_docdir}/gnupg/DCO
%{_docdir}/gnupg/DETAILS
%{_docdir}/gnupg/FAQ
%{_docdir}/gnupg/HACKING
%{_docdir}/gnupg/KEYSERVER
%{_docdir}/gnupg/OpenPGP
%{_docdir}/gnupg/README
%{_docdir}/gnupg/TRANSLATE
%doc README.IBMi
%dir %{_docdir}/gnupg/examples
%{_docdir}/gnupg/examples/README
%{_docdir}/gnupg/examples/debug.prf
%{_docdir}/gnupg/examples/gpgconf.conf
%{_docdir}/gnupg/examples/pwpattern.list
%{_docdir}/gnupg/examples/scd-event
%{_docdir}/gnupg/examples/trustlist.txt
%{_docdir}/gnupg/examples/vsnfd.prf

%dir %{_datarootdir}/gnupg
%{_datarootdir}/gnupg/distsigkey.gpg
%{_datarootdir}/gnupg/help.be.txt
%{_datarootdir}/gnupg/help.ca.txt
%{_datarootdir}/gnupg/help.cs.txt
%{_datarootdir}/gnupg/help.da.txt
%{_datarootdir}/gnupg/help.de.txt
%{_datarootdir}/gnupg/help.el.txt
%{_datarootdir}/gnupg/help.eo.txt
%{_datarootdir}/gnupg/help.es.txt
%{_datarootdir}/gnupg/help.et.txt
%{_datarootdir}/gnupg/help.fi.txt
%{_datarootdir}/gnupg/help.fr.txt
%{_datarootdir}/gnupg/help.gl.txt
%{_datarootdir}/gnupg/help.hu.txt
%{_datarootdir}/gnupg/help.id.txt
%{_datarootdir}/gnupg/help.it.txt
%{_datarootdir}/gnupg/help.ja.txt
%{_datarootdir}/gnupg/help.nb.txt
%{_datarootdir}/gnupg/help.pl.txt
%{_datarootdir}/gnupg/help.pt.txt
%{_datarootdir}/gnupg/help.pt_BR.txt
%{_datarootdir}/gnupg/help.ro.txt
%{_datarootdir}/gnupg/help.ru.txt
%{_datarootdir}/gnupg/help.sk.txt
%{_datarootdir}/gnupg/help.sv.txt
%{_datarootdir}/gnupg/help.tr.txt
%{_datarootdir}/gnupg/help.txt
%{_datarootdir}/gnupg/help.zh_CN.txt
%{_datarootdir}/gnupg/help.zh_TW.txt
%{_datarootdir}/gnupg/sks-keyservers.netCA.pem

%{_infodir}/gnupg.info*

%{_mandir}/man1/dirmngr-client.1*
%{_mandir}/man1/gpg-agent.1*
%{_mandir}/man1/gpg-connect-agent.1*
%{_mandir}/man1/gpg-preset-passphrase.1*
%{_mandir}/man1/gpg-wks-client.1*
%{_mandir}/man1/gpg-wks-server.1*
%{_mandir}/man1/gpg.1*
%{_mandir}/man1/gpgconf.1*
%{_mandir}/man1/gpgparsemail.1*
%{_mandir}/man1/gpgsm.1*
%{_mandir}/man1/gpgtar.1*
%{_mandir}/man1/gpgv.1*
%{_mandir}/man1/scdaemon.1*
%{_mandir}/man1/symcryptrun.1*
%{_mandir}/man1/watchgnupg.1*
%{_mandir}/man7/gnupg.7*
%{_mandir}/man8/addgnupghome.8*
%{_mandir}/man8/applygnupgdefaults.8*
%{_mandir}/man8/dirmngr.8*

%files smime
%defattr(-, qsys, *none)

%{_bindir}/gpgsm
%{_bindir}/kbxutil

%{_mandir}/man1/gpgsm.1*


%changelog
* Sun Dec 19 2021 Mark Irish <mirish@ibm.com> - 2.2.19
- Move .../sbin binaries to .../bin
- Create symlinks from old .../sbin binaries to their location in .../bin

* Fri Apr 30 2021 Mark Irish <mirish@ibm.com> - 2.2.19
- Add zlib-devel and bzip2-devel to BuildRequires to enable compression

* Thu Jun 18 2020 Mark Irish <mirish@ibm.com> - 2.2.19
- Add pinentry as Required since it is needed to work with GPG keys

* Fri Jun 12 2020 Mark Irish <mirish@ibm.com> - 2.2.19
- Fix error with CLOCK_THREAD_CPUTIME_ID to ensure PASE compatibility

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 2.2.19
- Use generic paths for man and info pages to allow for compression

* Wed Feb 12 2020 Mark Irish <mirish@ibm.com> - 2.2.19
- Initial package
